<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.webbrowser.WebViewFragment">

    <ProgressBar
        android:id="@+id/progress_bar"
        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
        android:layout_width="match_parent"
        android:layout_height="3dp"
        android:layout_marginVertical="3dp"
        android:max="100"
        android:progressDrawable="@drawable/progress_bar_web"
        tools:progress="50" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <WebView
                android:id="@+id/webView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <FrameLayout
                android:id="@+id/fl_download"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_gravity="end|bottom"
                android:layout_marginEnd="18dp"
                android:layout_marginBottom="50dp"
                android:visibility="gone">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:src="@mipmap/xiazhai_web"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:id="@+id/tv_download_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end|top"
                    android:background="@drawable/bg_ff3434_oval"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:minWidth="20dp"
                    android:minHeight="20dp"
                    android:padding="2dp"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    tools:text="1" />
            </FrameLayout>

        </FrameLayout>


        <LinearLayout
            android:id="@+id/ll_error"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/wufafangwen"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="25dp"
                android:text="Unable to access the website"
                android:textColor="@color/black"
                android:textSize="18sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_error_reason"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="30dp"
                android:layout_marginTop="18dp"
                android:gravity="center"
                android:textColor="#545456"
                android:textSize="16sp"
                tools:text="net::ERR CONNECTION TIMED OUT" />

            <TextView
                android:id="@+id/tv_reload"
                android:layout_width="259dp"
                android:layout_height="50dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="45dp"
                android:background="@drawable/bg_0571ed_25"
                android:gravity="center"
                android:text="Reload"
                android:textColor="@color/white"
                android:textSize="18sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


</LinearLayout>